## gforth 0.7.0+ds2

=== vmgen-ex/Makefile ===
#Makefile for vmgen example

#Copyright (C) 2001,2003,2007,2008 Free Software Foundation, Inc.

#This file is part of Gforth.

#Gforth is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License
#as published by the Free Software Foundation, either version 3
#of the License, or (at your option) any later version.

#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.#See the
#GNU General Public License for more details.

#You should have received a copy of the GNU General Public License
#along with this program; if not, see http://www.gnu.org/licenses/.

LEX=flex -l
YACC=bison -y
#YACC=yacc
VMGEN=vmgen
#GCC=gcc -g -Wall
GCC=gcc -O3 -fomit-frame-pointer -Wall
CC=$(GCC)
#M4=m4 -s #recommended if supported
M4=m4
OBJECTS_MINI=mini.tab.o support.o peephole.o profile.o disasm.o engine.o engine-debug.o

mini: $(OBJECTS_MINI)
	$(CC) $(OBJECTS_MINI) -o $@

lex.yy.c: mini.l
	$(LEX) mini.l

mini.tab.c: mini.y
	$(YACC) mini.y && mv y.tab.c $@

mini-vm.i mini-disasm.i mini-gen.i mini-labels.i mini-profile.i mini-peephole.i: mini.vmg
	$(VMGEN) mini.vmg

mini.vmg: mini-inst.vmg mini-super.vmg
	$(M4) mini-inst.vmg >$@

mini.tab.o: mini.tab.c mini-gen.i lex.yy.c mini.h

support.o: support.c mini.h

peephole.o: peephole.c mini-peephole.i mini.h

profile.o: profile.c mini-profile.i mini.h

disasm.o: disasm.c mini-disasm.i mini.h

engine.o: engine.c mini-vm.i mini-labels.i mini.h

engine-debug.o: engine.c mini-vm.i mini-labels.i mini.h
	$(CC) -DVM_DEBUG -DVM_PROFILING -Dengine=engine_debug -c -o $@ engine.c

clean:
	rm -f *.o mini mini-*.i lex.yy.c mini.tab.c mini.vmg

check:  mini
	./mini test.mini | tr -d '\015' | diff - test.out

checkall:
	for i in 1 3 5 8 9 10; do make clean; echo $$i; make check VMGEN=../vmgen CC="gcc -O3 -fomit-frame-pointer -Wall -DTHREADING_SCHEME=$$i"; echo $$i >>xxx-bench; \time mini fib.mini 2>>xxx-bench; done; cat xxx-bench; rm xxx-bench

#make profiles
%.prof: %.mini mini
	./mini -p $< 2>$@

## gforth 0.7.0%2Bds2

=== debian/changelog ===
gforth (0.7.0+ds2-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove non DFSG-compliant doc/gforth.ds, doc/gforth.info*, doc/gforth.ps,
    doc/vmgen.info, doc/vmgen.ps, and doc/vmgen.texi from source. The gforth
    binary package doesn't ship the /usr/share/info doc anymore because of
    that. Closes: #695724

 -- David Prévot <taffit@debian.org>  Sun, 30 Dec 2012 13:17:23 -0400

gforth (0.7.0+ds1-7) unstable; urgency=low

  * Apply an upstream patch to fix a FTBFS; Closes: #672616
    - add the 11-static-newline patch to define the system newline
      string as static
    - temporarily build-depend on the GForth interpreter to be able to
      rebuild the kernel images properly after applying the patch
    - stash and restore the generated files affected by the patch

 -- Peter Pentchev <roam@ringlet.net>  Tue, 04 Sep 2012 17:52:59 +0300

gforth (0.7.0+ds1-6) unstable; urgency=low

  * Fix the watch file syntax so the +ds1 part is properly stripped off.
  * Convert to the 3.0 (quilt) format.
  * Make gforth.el register the .fs, .4th, and .fth filename suffixes.
    Closes: #587318
  * Bump Standards-Version to 3.9.2:
    - gforth-common now Breaks older gforth versions, no longer Conflicts
      with them
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to obtain the default values
    for CFLAGS, CPPFLAGS, and LDFLAGS.
  * Update the copyright file:
    - bring it up to the latest version of the DEP 5 format
    - use the proper GFDL-NIV short license name instead of just GFDL,
      as spotted by Nicholas Bamber (periapt)
    - fix the DEP 5 URL after the Alioth migration
    - bump the year on my copyright notice
  * Use the debhelper plugin provided by autotools-dev >= 20100122.1 to
    refresh the config.sub and config.guess files.
  * Also byte-compile the emacs mode for emacs-snapshot.  Closes: #615142
  * Acknowledge the NMU; thanks, Luk!
  * libffcall1 seems to build fine on armel now, so use it everywhere.
  * Bump the debhelper compatibility level to 9:
    - reorder the dh helper arguments to place the sequence name first
    - use the still not-quite-finalized level 9 instead of the recommended 8
      because of multiarch support in dh_auto_configure
  * Switch to bzip2 compression for the Debian tarball.
  * Convert to multiarch:
    - move /usr/lib/*/gforth/ to a new gforth-lib package and mark it as
      Multi-Arch: same
    - mark gforth and gforth-common as Multi-Arch: foreign
    - add the 10-engine-subst patch to fix the libdir handling in engine/
    - use debhelper compatibility level 9 for dh_auto_configure
  * Override some more Lintian warnings:
    - more "unusual interpreter" for GForth and its kernel
    - no debhelper 9 dependency yet, the compatibility level is for
      multiarch only
    - add some comments explaining the overrides as suggested by
      Nicholas Bamber (periapt)
  * Move the Debian packaging to Gitorious and update the Vcs-Git and
    Vcs-Browser URLs.
  * Add DEP-3 headers to the rest of the patches as prompted by
    Nicholas Bamber (periapt)

 -- Peter Pentchev <roam@ringlet.net>  Mon, 18 Jul 2011 17:51:22 +0300

gforth (0.7.0+ds1-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621255).

 -- Luk Claes <luk@debian.org>  Mon, 13 Jun 2011 17:56:27 +0200

gforth (0.7.0+ds1-5) unstable; urgency=low

  * Fix the FTBFS on hppa by not passing -N to the linker.
    Many thanks to Frans Pop and the others on the debian-hppa list for
    the assistance in tracking this down!

 -- Peter Pentchev <roam@ringlet.net>  Tue, 08 Sep 2009 16:21:38 +0200

gforth (0.7.0+ds1-4) unstable; urgency=low

  * Try and fix the s390 build once again, this time after testing
    the sdiv_qrnnd() usage code on x86; hopefully Closes: #544827

 -- Peter Pentchev <roam@ringlet.net>  Sat, 05 Sep 2009 18:46:33 +0300

gforth (0.7.0+ds1-3) unstable; urgency=low

  * Explicitly depend on libtool and libltdl-dev; several benefits:
    - make the build environment-agnostic and not dependent on what
      just happens to be installed
    - fix a FTBFS if libtool is installed but libltdl-dev isn't;
      some of the autobuilders are configured that way
  * Add a missing semicolon in engine/support.c to try and fix
    the FTBFS on s390.
  * Temporarily use libffi instead of libffcall on armel, until
    libffcall's issues are resolved.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 01 Sep 2009 17:58:12 +0300

gforth (0.7.0+ds1-2) unstable; urgency=low

  * Fix the FTBFS when building arch-dependent packages only - do not
    depend on dh_installdirs to create the gforth-common /usr/share
    directory, since it won't in an arch-only build.  Closes: #543569

 -- Peter Pentchev <roam@ringlet.net>  Wed, 26 Aug 2009 15:03:13 +0300

gforth (0.7.0+ds1-1) unstable; urgency=low

  * New maintainer.  Closes: #540827
  * Use quilt for patch management and add the debian/README.source file.
  * Fix the build:
    - specify an absolute prefix to "make install".
    - remove a couple of files that "make distclean" seems to miss.
  * Add the Homepage, Vcs-Svn, and Vcs-Browser control fields.
  * Install the NEWS file as an upstream changelog.
  * Deal with config.sub and config.guess properly - copy them from
    the autotools-dev package before running "configure" and remove them
    in the "clean" target.
  * Keep the vmgen.1 manual page in the debian/ directory.
  * Bump the debhelper compatibility level to 7:
    - version the debhelper build dependency
    - add ${misc:Depends} to the binary package
    - leave removing of the *-stamp files to dh_clean
    - use dh_prep instead of dh_clean -k
    - shorten the rules file using the dh(1) helper and override targets
    - disable debhelper's verbose mode
  * Bump Standards-Version to 3.8.3:
    - leave "install-info" to dpkg triggers and add the proper dependency
  * Disable an i*86 "optimization" of passing the nonexistent -m486
    option to gcc.


=== debian/control ===
Source: gforth
Section: interpreters
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Build-Depends: debhelper (>= 8.1.3~), autoconf, automake,
    autotools-dev (>= 20100122.1), dpkg-dev (>= 1.15.7~),
    gforth, libffcall1-dev, libtool, libltdl-dev
Standards-Version: 3.9.2
Homepage: http://www.complang.tuwien.ac.at/projects/forth.html
Vcs-Git: git://gitorious.org/gforth/pkg-debian.git
Vcs-Browser: http://gitorious.org/gforth/pkg-debian

Package: gforth
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info,
    gforth-common (= ${source:Version}), gforth-lib (= ${binary:Version})
Description: GNU Forth Language Environment
 This is the GNU'ish implementation of a Forth programming environment.  
 .
 Forth, as a language, is best known for being stack-based, and completely 
 extensible.  Each Forth environment provides one or more dictionaries of
 pre-defined words, and programming in Forth consists of defining and 
 executing new words that are combinations of previously defined words.  It
 has been said that learning Forth changes forever the way you think about 
 writing programs.  
 .
 For more information about Forth, visit the Forth Interest Group web site 
 at http://www.forth.org/fig.html.

Package: gforth-lib
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNU Forth Language Environment architecture-dependent files
 This is the GNU'ish implementation of a Forth programming environment.  
 .
 Forth, as a language, is best known for being stack-based, and completely 
 extensible.  Each Forth environment provides one or more dictionaries of
 pre-defined words, and programming in Forth consists of defining and 
 executing new words that are combinations of previously defined words.  It
 has been said that learning Forth changes forever the way you think about 
 writing programs.  
 .
 This package provides the architecture-dependent precompiled libraries.

Package: gforth-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: gforth (>= ${binary:Version})
Breaks: gforth (<< 0.7.0+ds1-1)
Replaces: gforth (<< 0.7.0+ds1-1)
Description: GNU Forth architecture-independent dictionaries
 This is the GNU'ish implementation of a Forth programming environment.  
 .
 Forth, as a language, is best known for being stack-based, and completely 
 extensible.  Each Forth environment provides one or more dictionaries of
 pre-defined words, and programming in Forth consists of defining and 
 executing new words that are combinations of previously defined words.  It
 has been said that learning Forth changes forever the way you think about 
 writing programs.  
 .
 This package provides the architecture-independent Forth dictionaries.

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/([+]ds[0-9]*)?([-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*))?$//i,pasv \
http://www.complang.tuwien.ac.at/forth/gforth/ (?:.*/)?gforth-?_?([\d+\.]+|\d+)\.(tar|tar.gz|tgz|zip|gz|bz2|) debian uupdate

## gforth 0.7.0+ds1

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Peter Pentchev <roam@ringlet.net>
 Build-Depends: debhelper (>= 8.1.3~), autoconf, automake,
     autotools-dev (>= 20100122.1), dpkg-dev (>= 1.15.7~),
-    gforth, libffcall1-dev, libtool, libltdl-dev
+    libffcall1-dev, libtool, libltdl-dev
 Standards-Version: 3.9.2
 Homepage: http://www.complang.tuwien.ac.at/projects/forth.html
 Vcs-Git: git://gitorious.org/gforth/pkg-debian.git

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

DEB_HOST_MULTIARCH?=	$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CFLAGS=		$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS=	$(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS=	$(shell dpkg-buildflags --get LDFLAGS)
export CFLAGS CPPFLAGS LDFLAGS

GFORTH_VER = `sed -e 's/^[^ ]\+ (\([^)+-]\+\).*/\1/; 1q' debian/changelog`
D = $(CURDIR)/debian/gforth
DC = $(CURDIR)/debian/gforth-common
DL = $(CURDIR)/debian/gforth-lib
ULIB = $D/usr/lib/$(DEB_HOST_MULTIARCH)/gforth/$(GFORTH_VER)
USHARE = $D/usr/share/gforth/$(GFORTH_VER)

# arch-specific options
common_opts :=--with-lispdir=/usr/share/emacs/site-lisp/gforth
m68k_opts   :=--enable-force-reg 

configure_options := $(common_opts)

ifeq ($(DEB_BUILD_ARCH),m68k)
configure_options = $(common_opts) $(m68k_opts)
endif

shellout := $(shell ls -d debian/kernl-save 2> /dev/null)
save-dir=frog$(shellout)

override_dh_auto_configure:
ifeq ($(save-dir),frog)
	install -d debian/kernl-save
	cp kernl*.fi debian/kernl-save
endif
	no_dynamic_default=1 dh_auto_configure -- $(configure_options)

override_dh_auto_clean:
	dh_auto_clean
ifneq ($(save-dir),frog)
	cp debian/kernl-save/* .
	rm -r debian/kernl-save
endif

override_dh_auto_install:
	touch $D/usr/lib/gforth/site-forth/site-init.fs
	dh_auto_install -- DESTDIR=$D
	chmod 755 $(USHARE)/filedump.fs $(USHARE)/httpd.fs $(USHARE)/sieve.fs \
		$(USHARE)/kernl*.fi $(ULIB)/gforth.fi
	mkdir -p $(DC)/usr/share
	mv $D/usr/share/gforth $(DC)/usr/share/gforth
	mkdir -p $(DL)/usr/lib
	mv $D/usr/lib/$(DEB_HOST_MULTIARCH) $(DL)/usr/lib/$(DEB_HOST_MULTIARCH)
	find $D $(DC) $(DL) -type d -empty -print | xargs rmdir
	find $D $(DC) $(DL) -name '*.la' -print | xargs rm

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_makeshlibs:
	# This is somewhat ugly - we only need the misc:Pre-Depends part of
	# dh_makeshlibs, but we have to put up with invoking it anyway :)
	dh_makeshlibs -pgforth-lib -n
	rm -f $(CURDIR)/debian/gforth-lib/DEBIAN/shlibs

%:
	dh $@ --with autotools_dev

## gforth 0.7.0+ds2

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,8 @@
 save-dir=frog$(shellout)
 
 override_dh_auto_configure:
+	[ -f prim.b.backup ] || cp -p prim.b prim.b.backup
+	[ -f engine/prim.i.backup ] || cp -p engine/prim.i engine/prim.i.backup
 ifeq ($(save-dir),frog)
 	install -d debian/kernl-save
 	cp kernl*.fi debian/kernl-save
@@ -41,6 +43,8 @@
 	cp debian/kernl-save/* .
 	rm -r debian/kernl-save
 endif
+	[ ! -f prim.b.backup ] || mv prim.b.backup prim.b
+	[ ! -f engine/prim.i.backup ] || mv engine/prim.i.backup engine/prim.i
 
 override_dh_auto_install:
 	touch $D/usr/lib/gforth/site-forth/site-init.fs

## gforth 0.7.2%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: interpreters
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>= 8.1.3~), autoconf, automake,
-    autotools-dev (>= 20100122.1), dpkg-dev (>= 1.15.7~),
-    libffcall1-dev, libtool, libltdl-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), autoconf, automake,
+    dh-autoreconf,
+    libffcall1-dev, libtool, libtool-bin, libltdl-dev
+Standards-Version: 3.9.5
 Homepage: http://www.complang.tuwien.ac.at/projects/forth.html
 Vcs-Git: git://gitorious.org/gforth/pkg-debian.git
 Vcs-Browser: http://gitorious.org/gforth/pkg-debian
@@ -13,7 +13,7 @@
 Package: gforth
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info,
+Depends: ${shlibs:Depends}, ${misc:Depends}, emacsen-common (>= 2.0.7),
     gforth-common (= ${source:Version}), gforth-lib (= ${binary:Version})
 Description: GNU Forth Language Environment
  This is the GNU'ish implementation of a Forth programming environment.

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/([+](ds|dfsg)[0-9]*)?([-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*))?$//i,pgpsigurlmangle=s/$/.sig/,pasv \
http://www.complang.tuwien.ac.at/forth/gforth/ (?:.*/)?gforth-?_?([\d+\.]+|\d+)\.(tar|tar.gz|tgz|zip|gz|bz2|) debian uupdate

## gforth 0.7.2+dfsg1

=== vmgen-ex2/Makefile ===
#Makefile for vmgen example

#Copyright (C) 2001,2003,2007,2008 Free Software Foundation, Inc.

#This file is part of Gforth.

#Gforth is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License
#as published by the Free Software Foundation, either version 3
#of the License, or (at your option) any later version.

#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.#See the
#GNU General Public License for more details.

#You should have received a copy of the GNU General Public License
#along with this program; if not, see http://www.gnu.org/licenses/.

LEX=flex -l
YACC=bison -y
#YACC=yacc
VMGEN=vmgen
#GCC=gcc -g -Wall
GCC=gcc -O3 -fomit-frame-pointer -Wall
CC=$(GCC)
#M4=m4 -s #recommended if supported
M4=m4
OBJECTS_MINI=mini.tab.o support.o peephole.o profile.o disasm.o engine.o engine-debug.o

mini: $(OBJECTS_MINI)
	$(CC) $(OBJECTS_MINI) -o $@

lex.yy.c: mini.l
	$(LEX) mini.l

mini.tab.c: mini.y
	$(YACC) mini.y && mv y.tab.c $@

mini-vm.i mini-disasm.i mini-gen.i mini-labels.i mini-profile.i mini-peephole.i: mini.vmg
	$(VMGEN) mini.vmg

mini.vmg: mini-inst.vmg mini-super.vmg
	$(M4) mini-inst.vmg >$@

mini.tab.o: mini.tab.c mini-gen.i lex.yy.c mini.h

support.o: support.c mini.h

peephole.o: peephole.c mini-peephole.i mini.h

profile.o: profile.c mini-profile.i mini.h

disasm.o: disasm.c mini-disasm.i mini.h

engine.o: engine.c mini-vm.i mini-labels.i mini.h

engine-debug.o: engine.c mini-vm.i mini-labels.i mini.h
	$(CC) -DVM_DEBUG -DVM_PROFILING -Dengine=engine_debug -c -o $@ engine.c

clean:
	rm -f *.o mini mini-*.i lex.yy.c mini.tab.c mini.vmg

check:  mini
	./mini test.mini | tr -d '\015' | diff - test.out

checkall:
	for i in 1 3 5 8 9 10; do make clean; echo $$i; make check VMGEN=../vmgen CC="gcc -O3 -fomit-frame-pointer -Wall -DTHREADING_SCHEME=$$i"; echo $$i >>xxx-bench; \time mini fib.mini 2>>xxx-bench; done; cat xxx-bench; rm xxx-bench	
#make profiles
%.prof: %.mini mini
	./mini -p $< 2>$@

=== debian/changelog ===
gforth (0.7.2+dfsg1-1) unstable; urgency=medium

  * Update the copyright file a bit:
    - convert it to the 1.0 format
    - correct some of the copyright notices
    - bump the year of my copyright notice
  * Bump Standards-Version to 3.9.5:
    - remove the dependency on dpkg (>= 1.15.4) | install-info
  * Update the debian/patch/* descriptions a bit:
    - add the 'Description' tag to the 06-configure-assumptions one
    - shorten the description of the 07-manpage one
  * Update the list of build dependencies:
    - actually depend on debhelper 9, not 8.1.3, and remove the now
      outdated debian/source.lintian-overrides file
    - remove the dpkg-dev dependency - the version requirement is
      satisfied even in oldstable
  * Use the hardening flags supplied by debhelper, ask for everything
    except PIE.
  * Remove the debian/source/options file, dpkg-dev's defaults for
    compressing the source and binary packages are good enough.
  * Use dh-autoreconf instead of autotools-dev and retarget
    the 06-configure-assumptions patch.
  * New upstream release:
    - Closes: #726438 (New GNU Forth version available)
    - Closes: #705432 (Please update to 0.7.2)
    - no more CVS directories, so no need to repack the source
    - on second thoughts, repack the source, acknowledging David Prévot's
      NMU (thanks!): remove the non-DFSG documentation.  I will create
      a separate non-free package for that.
    - drop the 10-engine-subst.patch, included upstream
    - drop the 11-static-newline patch, included upstream, and the rules
      file snippet that saves and restores prim.b
    - adapt the 06-configure-assumptions patch
    - refresh the 02-skip-install patch (line numbers only)
    - update the copyright years
    - remove the build dependency on the GForth interpreter introduced
      as a temporary workaround in 0.7.0+ds1-7
  * Let uscan verify the upstream PGP signature against M. Anton Ertl's
    and Bernd Paysan's keys.
  * Update the 02-skip-install patch to not even try to byte-compile
    the gforth.el file - it will be handled correctly at install time.
  * Add the 12-elisp-byte-compile patch to fix the byte compilation with
    Emacs 24 - remove the eval-when-compile wrapper.  Closes: #685090
  * Actually add forth-mode to the autodetected modes at Emacs startup.
    Closes: #587318 (this time for real).
  * Update the Emacs install/remove infrastructure a bit and let gforth
    depend on emacsen-common 2.0.7.  Note to self: update this to 2.0.8
    once it hits the archive.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 18 Mar 2014 13:08:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Peter Pentchev <roam@ringlet.net>
 Build-Depends: debhelper (>= 9), autoconf, automake,
     dh-autoreconf,
-    libffcall1-dev, libtool, libtool-bin, libltdl-dev
+    libffcall1-dev, libtool, libltdl-dev
 Standards-Version: 3.9.5
 Homepage: http://www.complang.tuwien.ac.at/projects/forth.html
 Vcs-Git: git://gitorious.org/gforth/pkg-debian.git

## gforth 0.7.3%2Bdfsg

=== debian/watch ===
version=4
opts=dversionmangle=s/([+](ds|dfsg)[0-9]*)?([-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*))?$//i,pgpsigurlmangle=s/$/.sig/,pasv \
https://www.complang.tuwien.ac.at/forth/gforth/ (?:.*/)?gforth@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## gforth 0.7.3+dfsg

=== debian/changelog ===
gforth (0.7.3+dfsg-3) unstable; urgency=medium

  * Actually install the gforth.el file!  Closes: #820870

 -- Peter Pentchev <roam@ringlet.net>  Wed, 13 Apr 2016 16:49:47 +0300

gforth (0.7.3+dfsg-2) unstable; urgency=medium

  * Fix the arch-all-only FTBFS - no libtool files in gforth-common.
    Closes: #820787
  * Update the watch file to version 4 and use pgpmode=auto to let uscan
    find the *.sig URL by itself.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 12 Apr 2016 15:27:56 +0300

gforth (0.7.3+dfsg-1) unstable; urgency=medium

  * Drop the no longer needed misc:Pre-Depends (see #783898) and go back
    to overriding the dh_makeshlibs call with no action at all.
  * Declare compliance with Debian Policy 3.9.8 with no changes.
  * Switch Vcs-* to my full-source GitLab repository.
  * Rename the "other" licenses in the copyright file since they are,
    indeed, different, although the same in spirit.
  * Add the 13-env-cflags patch to pass the compiler and linker flags
    when building the temporary object files used for calling external
    functions from Forth.
  * Enable PIE in the hardening flags.
  * Override the "no fortify functions" false positive for the socket.so
    built by gforth's libcc interface; the gethostname() call there is
    indeed safe.
  * Override the "unstripped static library" Lintian warnings for
    the dynamically generated libcc-named/* stubs for external functions.
  * Bump the debhelper build dependency to 9.20160403 for the latest and
    greatest in autoreconf and autotools-dev support.
  * Add an autopkgtest suite running the installed GForth test scripts.
  * Switch the upstream VCS URL in the 04-minus-number to the Savannah
    Git repository.
  * Drop an incorrect Origin header from the 09-elisp-auto-mode patch.
  * Use the HTTPS scheme for many URLs in debian/* files.
  * Add an upstream metadata file.
  * Switch to libffi-dev; it seems to be available on all architectures,
    unlike libffcall1-dev.  Closes: #784652
  * Drop the explicit build dependencies on autoconf and automake;
    debhelper and dh-autoreconf will take care of what is needed.
  * Teach uscan to exclude the non-DFSG documentation.
  * New upstream release:
    - Closes: #783435
    - drop the 12-elisp-byte-compile patch, integrated upstream
  * Bump the year on my debian/* copyright notice.
  * Most of the dh_auto_install override in debian/rules was actually
    doing dh_install's work, so move it to a dh_install override.
  * Fix the separate building of arch:all and arch:any packages.
    Closes: #806031
  * Fix a typo in the header of the 06-configure-assumptions patch.
  * Bump the debhelper compatibility level to 10:
    - drop the dh-autoreconf dependency and invocation
    - add --no-parallel to the dh invocation
    - override the Lintian warning about the versioned dependency
    - do not override the Lintian false positives about outdated
      autotools helper files, see #820441

 -- Peter Pentchev <roam@ringlet.net>  Sat, 09 Apr 2016 21:27:26 +0300

gforth (0.7.2+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761751.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:29:55 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: interpreters
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>= 9), autoconf, automake,
-    dh-autoreconf,
-    libffcall1-dev, libtool, libltdl-dev
-Standards-Version: 3.9.5
-Homepage: http://www.complang.tuwien.ac.at/projects/forth.html
-Vcs-Git: git://gitorious.org/gforth/pkg-debian.git
-Vcs-Browser: http://gitorious.org/gforth/pkg-debian
+Build-Depends: debhelper (>= 9.20160403~),
+    libffi-dev, libtool, libtool-bin, libltdl-dev
+Standards-Version: 3.9.8
+Homepage: https://www.complang.tuwien.ac.at/projects/forth.html
+Vcs-Git: https://gitlab.com/gforth/pkg-debian-full.git
+Vcs-Browser: https://gitlab.com/gforth/pkg-debian-full
+Testsuite: autopkgtest
 
 Package: gforth
 Architecture: any
@@ -31,7 +31,6 @@
 Package: gforth-lib
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: GNU Forth Language Environment architecture-dependent files
  This is the GNU'ish implementation of a Forth programming environment.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

DEB_HOST_MULTIARCH?=	$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Aim for the top (almost), adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all
export DEB_BUILD_MAINT_OPTIONS

GFORTH_VER = `sed -e 's/^[^ ]\+ (\([^)+-]\+\).*/\1/; 1q' debian/changelog`
D = $(CURDIR)/debian/tmp
DG = $(CURDIR)/debian/gforth
DC = $(CURDIR)/debian/gforth-common
DL = $(CURDIR)/debian/gforth-lib
ULIB = $D/usr/lib/$(DEB_HOST_MULTIARCH)/gforth/$(GFORTH_VER)
USHARE = $D/usr/share/gforth/$(GFORTH_VER)

packages := $(shell dh_listpackages)

# arch-specific options
sitelispdir :=/usr/share/emacs/site-lisp/gforth
common_opts :=--with-lispdir="${sitelispdir}"
m68k_opts   :=--enable-force-reg 

configure_options := $(common_opts)

ifeq ($(DEB_BUILD_ARCH),m68k)
configure_options = $(common_opts) $(m68k_opts)
endif

shellout := $(shell ls -d debian/kernl-save 2> /dev/null)
save-dir=frog$(shellout)

override_dh_auto_configure:
ifeq ($(save-dir),frog)
	install -d debian/kernl-save
	cp kernl*.fi debian/kernl-save
endif
	no_dynamic_default=1 dh_auto_configure -- $(configure_options)

override_dh_auto_clean:
	dh_auto_clean
ifneq ($(save-dir),frog)
	cp debian/kernl-save/* .
	rm -r debian/kernl-save
endif

override_dh_auto_install:
	mkdir -p $D/usr/lib/gforth/site-forth
	touch $D/usr/lib/gforth/site-forth/site-init.fs
	mkdir -p $D${sitelispdir}
	dh_auto_install
	chmod 755 $(USHARE)/filedump.fs $(USHARE)/httpd.fs $(USHARE)/sieve.fs \
		$(USHARE)/kernl*.fi $(ULIB)/gforth.fi

prunedirs=
ifneq (,$(filter gforth-common,$(packages)))
prunedirs+=	$(DC)
endif
ifneq (,$(filter gforth-lib,$(packages)))
prunedirs+=	$(DL)
endif
ifneq (,$(filter gforth,$(packages)))
prunedirs+=	$(DG)
endif

override_dh_install:
ifneq (,$(filter gforth-common,$(packages)))
	mkdir -p $(DC)/usr/share
	mv $D/usr/share/gforth $(DC)/usr/share/gforth
else
	rm -rf $D/usr/share/gforth
endif
ifneq (,$(filter gforth-lib,$(packages)))
	mkdir -p $(DL)/usr/lib
	mv $D/usr/lib/$(DEB_HOST_MULTIARCH) $(DL)/usr/lib/$(DEB_HOST_MULTIARCH)
else
	rm -rf $D/usr/lib/$(DEB_HOST_MULTIARCH)
endif
ifneq (,$(filter gforth,$(packages)))
	mv $D/* $(DG)/
endif
ifneq (,$(prunedirs))
	find $(prunedirs) -type d -empty -delete
	find $(prunedirs) -name '*.la' -delete
endif

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_makeshlibs:

%:
	dh $@ --no-parallel

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/([+](ds|dfsg)[0-9]*)?([-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*))?$//i,pgpmode=auto,pasv \
https://www.complang.tuwien.ac.at/forth/gforth/ (?:.*/)?gforth-?_?([\d+\.]+|\d+)\.(tar|tar.gz|tgz|zip|gz|bz2|) debian uupdate
